# MSP-EXP430FR2433
# Out Of Box Demo GUI v1.0.1


----------


This GUI allows interaction with a [MSP-EXP430FR2433 LaunchPad](http://www.ti.com/tool/msp-exp430fr2433) running its out-of-box demo software.

Using the [MSP430FR2433](http://www.ti.com/product/MSP430FR2433) MCU's internal temperature sensor, the LaunchPad can record temperature data into the device's non-volatile FRAM memory every ~5 seconds. The stored data can then be transfered to the PC and graphed in this GUI.

The LaunchPad can also measure and transfer realtime temperature data to this GUI.

# Requirements


----------


***Target Hardware:***

 - The [MSP-EXP430FR2433 LaunchPad](http://www.ti.com/tool/msp-exp430fr2433)

***Target Software:***

 - Out of box demo firmware (outOfBox_msp430fr2433)
 - The firmware can be downloaded in this GUI by selecting File -> Program Device...

*** Before running the Out of Box demo, please make sure your LaunchPad is running the latest firmware. To do this use File > Program Device. This will also ensure you have the current drivers and cloud agent properly installed.***


# Instructions


----------


## Connection

 1. Connect the MSP-EXP430FR2433 LaunchPad to you PC via the USB connector
 2. If not connected automatically, click on the link icon at the bottom
    left corner and make sure the serial connection has been established
    @115200 baud rate. (GUI status bar indicates "waiting for data...")

> **Note:**
> 
>  - the MSP-EXP430FR2433 LaunchPad transmits JSON formatted strings containing temperature data from  through its backchannel UART communication to this PC GUI.
>  - The browser's Developer Console can be used to view the JSON commands being sent from and to the MSP-EXP430FR2433 LaunchPad.

## Logged Temperature Mode

In this mode (default on power up), the MSP430FR2433's internal temperature is stored into its nonvolatile FRAM memory every ~5 seconds (indicated by a short red LED1 blink).

 - Press button S1 to transfer the ring buffer data to the PC.
 - Press button S1 to clear all data and return to an empty ring buffer.

> **Note:**
> 
>  - The compute through power loss (CTPL) and nonvolatile storage (NVS) libraries from the FRAM Utilities are used in this demo to simplify the code to setup this simple data logging application.

## Live Temperature Mode

In this mode, the LaunchPad kit repeatedly measures the internal temperature of the MSP430FR2433 MCU and transfers the data to the PC through UART.

The LaunchPad also keeps track of a temperature thresold in this mode (default is 25°C), and when a new temperature data is acquired, it is compared against the threshold. If measured temperature is below the threshold, the green LED2 inlluminates, and if the measured temperture is above the threshold, the red LED1 illuminates.

 - Press button S1 to increase the temperature threshold by 0.5°C
 - Press button S2 to decrease the temperature threshold by 0.5°C
 
> **Note:**
> 
>  - the larger the difference is between the recorded temperature and the threshold, the brighter the corresponding LEDS will illuminate.